#pragma once

#include <QVariant>


enum class Position : uint32_t {
	INVALID = 0,
	TOP,
	JUNGLE,
	MIDDLE,
	BOTTOM,
	UTILITY
};
Position toPosition(const std::string& str);
std::string toString(Position p);
std::string toShortString(Position p);

std::ostream& operator<<(std::ostream&, const Position&);

Q_DECLARE_METATYPE(Position);
